import java.awt.*;
import java.awt.event.*;

class MessageDialog extends Dialog implements ActionListener
{

	private Button okButton;

	MessageDialog(Frame parent,String str)
	{
		super(parent,true);
		setLayout(new BorderLayout());
		setTitle("Message Dialog");
		add("North",new Label(str));
		add("South",okButton=new Button("OK"));
		okButton.addActionListener(this);
		pack();
		show();
	}

	public void actionPerformed(ActionEvent evt)
	{
		if(evt.getActionCommand().equals("OK"))
			dispose();
	}

}
