import java.awt.*;

public class TetrisCanvas extends Canvas
{

	private Color[][] blocks;
	private Image tmpImage;
	private Graphics tmpGraphics;

	TetrisCanvas()
	{

		setSize(Tetris.tetrisX*Tetris.tetrisXLen,(Tetris.tetrisY-2)*Tetris.tetrisYLen);
		setBackground(Tetris.backColor);

	}

	public void updateBlocks(Color[][] blocks)
	{
		this.blocks=blocks;
		repaint();
	}
	public void update(Graphics g)
	{
		paint(g);
	}
	public void paint(Graphics g)
	{
		try
		{
			tmpImage=createImage(Tetris.tetrisX*Tetris.tetrisXLen,(Tetris.tetrisY-2)*Tetris.tetrisYLen);
			tmpGraphics=tmpImage.getGraphics();
			for(int x=0;x<Tetris.tetrisX;x++)
				for(int y=2;y<Tetris.tetrisY;y++)
				{
					tmpGraphics.setColor(blocks[y][x]);
					tmpGraphics.fillRect(x*Tetris.tetrisXLen,(y-2)*Tetris.tetrisYLen,Tetris.tetrisXLen,Tetris.tetrisYLen);
				}
			g.drawImage(tmpImage,0,0,this);
		}
		catch(NullPointerException ex)
		{
		}
	}

}
